*,
*::after,
*::before {
    box-sizing: border-box;
}
.aria__describedby {
    display: none;
}
[data-title]:hover::after {
    opacity: 1;
    transition: all 0.1s ease 0.5s;
    visibility: visible;
}
[data-title]::after {
    content: attr(data-title);
    position: absolute;
    top: 100%;
    left: 0;
    padding: 4px;
    font-size: 14px;
    font-weight: 400;
    color: #222;
    white-space: nowrap;
    background: rgba(27, 78, 163, 0.2);
    border-radius: 4px;
    opacity: 0;
    visibility: hidden;
}
[data-title] {
    position: relative;
}
[tabindex]:focus {
    outline: 2px solid #2264D1;
    border-radius: 4px;
}
html {
    box-sizing: border-box;
    overflow-y: scroll;
    overflow-x: hidden;
    font-family: 'Open Sans', sans-serif;
}
a {
    text-decoration: none;
    cursor: pointer;
}
label {
    cursor: pointer;
}
img {
    background-size: cover;
}
li {
    list-style-type: none
}
.logo_img {
    background-size: cover;
    margin-right: 38px;
    cursor: pointer;
}
.container {
    max-width:  1470px;
    padding: 0 10px;
    margin: 0 auto;
}
.avatar {
    margin: 24px 16px;
    cursor: pointer;
}
.wrapper {
    position: relative;
}
/*Start section navigation menu*/
.menu {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.logo, .header_button {
    display: flex;
    align-items: center;
}
.nav {
    display: flex;
    justify-content: space-between;
    list-style-type: none;
    padding-left: 0; margin-top: 10px;
}
.nav__link{
    width: auto;
}
.up {
    padding: 10px;
    color: #5a5b6a;
    font-weight: 400;
    text-align: center;
    font-size: 20px;
}
.up:active,
.up:hover {
    color: #2264D1;
}
.search_input {
    position: relative;
    font-size: 30px;
}
.search_img {
    position: absolute;
    left: 10px; top: 5px;
    align-items: center;
}
.search {
    width: 668px; height: 38px;
    padding: 0 0 0 50px;
    background-color: #ededf0;
    font-weight: 400; font-size: 16px; color: #19191d;
    border-radius: 38px; border: none;
    cursor: pointer;
}
.search:active, .search:hover, .search:focus {
    outline: 0;
    outline-offset: 0;
}
.button_cnsl[type='reset'] {
    position: absolute;
    top: 0;
    right: 15px;
    color: #2979ff;
    bottom: 0;
    display: none;
    border-radius: 50%;
    background-color: #ededf0;
    transition: background 200ms;
    outline: none;
    border: none;
    cursor: pointer;
}
.search:valid ~ button[type="reset"] {
    display: block;
}
.number {
    display: flex; align-items: center; justify-content: center;
    position: absolute;
    width: 20px; height: 20px;
    right: 0;
    bottom: 25px;
    font-size: 14px; color: whitesmoke;
    border: 10px solid #f44336; border-radius: 50%;
}
.header_btn {
    position: relative;
    width: 104px; height: 40px;
    background-color: #FFFFFF;
    border: 1px solid #9dc2ff;  border-radius: 4px;
    color: #2264d1; font-weight: bold; font-size: 20px;
    cursor: pointer;
}
.header_btn:nth-child(1) {
    margin-right: 21px;
}
.header_btn:hover {
    box-shadow: 0 2px 4px rgba(27, 78, 163, 0.2), 0 4px 8px rgba(41, 121, 255, 0.2);
    border: 0;
}
/* End section navigation menu*/

/*Start section all products*/

.nav__icons:hover,
.nav__icons:active{
    fill: #2979FF;
}
.nav_goods {
    display: flex; justify-content: center;
    margin: 44px 0;
}
.goods_list {
    display: flex; justify-content: space-between;
    list-style-type: none;
    margin-bottom: 0; margin-top: 0; padding-left: 0;
    font-weight: 500; text-transform: capitalize;
}
.goods_item {
    width: auto; height: 56px;
    padding: 10px 4px 4px 4px; margin-right: 4px;
    display: flex; align-items: center; flex-direction: column;
    cursor: pointer;
    color: #2979FF;
}
.goods_link {
    color: #787885;
    text-decoration: none;
}

.goods_item:hover {
    background-color: #ebf2ff;
    border-radius: 10px;
}
.goods_link:hover,
.goods_link:focus,
.goods_link:active {
    color: #2264d1;
}
/*End section all products*/

/*Start section main settings*/
.content {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    margin: 0 auto;
}
.settings {
    display: flex;
    flex-direction: column;
    max-width: 355px;
}
/* End section main settings*/

/* Start section departments*/
.settings__list {
    display: flex;
    justify-content: space-between;
}
.departments {
    position: relative;
    width: 304px;
    height: 56px;
    border: 1px solid #9dc2ff;
    border-radius: 8px;
    background: #FFFFFF;
    color: #2264D1;
    font-weight: bold;
    font-size: 24px;
    cursor: pointer;
    align-items: center;
}
.departments__img {
    position: absolute;
    align-items: center;
    left: 0;
    right: 240px;
}
/* End section departments*/

/*Accordion Block Start*/
.accordion {
    margin-top: 20px;
}
#all_categories,
#computers {
    position: absolute;
    width: 100px;
    opacity: 0;
    cursor: pointer;
    margin-left: 20px;
}
.all__categories {
    display: flex;
    flex-direction: column;
    position: relative;
    padding-left: 10px;
    cursor: pointerex;
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
    letter-spacing: 0.44px;
    color: #19191d;
}
.ecommerce__title {
    font-size: 14px;
    color: #787885;
    line-height: 20px;
    letter-spacing: 0.252px;
}
.ecommerce__title::before {
    content: "\276F";
    position: absolute;
    font-size: 12px;
    left: -20px;
    bottom: 24px;
    color: #76A9FF;
    transform: rotate(0deg);
}
.all__categories input:checked ~ *.ecommerce__title::before {
    display: none;
}
.all__categories input:checked ~ *.ecommerce__title::after {
    content: "\276F";
    position: absolute;
    font-size: 12px;
    left: -20px;
    bottom: 24px;
    color: #2264D1;
    transform: rotate(90deg);
}
.electronics input, .electronics__content {
    display: none;
}

.electronics {
    width: 272px;
    background: #FFFFFF;
    color: #19191d;
    margin-left: 30px;
}
.electronic__title {
    display: block;
    padding: 10px;
    position: relative;
    text-transform: capitalize;
    font-weight: 500;
    cursor: pointer;
    font-size: 16px;
}
.electronic__title-expand {
    display: inline-flex;
    padding: 16px 12px;
    align-items: center;
    cursor: pointer;
    margin-left: 8px;
    border-radius: 4px;
    background: #EBF2FF;
    color: #2264D1;
    text-align: center;
    font-size: 14px;
    font-weight: 700;
    letter-spacing: 0.75px;
    text-transform: capitalize;
}
.electronic__title-expand :checked ~ *.all__categories {
    display: none;
}
.electronic__title-phone {
    padding-top: 0;
}
.shr__fil:first-child {
    margin-top: 0;
}
.electronics__content {
    padding: 10px 20px;
}
.electronics :checked ~  .electronics__content {
    display: block;
}
.cell__phones{
    display: none;
}
.electronics__content :checked ~ .cell__phones {
    display: block;
}
.electronic__title::before {
    content: "\276F";
    position: absolute;
    font-size: 12px;
    left: -20px;
    color: #76A9FF;
    transform: rotate(0deg);
}
.electronics :checked ~ *.electronic__title::before {
    display: none;
}
.electronics :checked ~ *.electronic__title::after {
    content: "\276f";
    font-size: 14px;
    position: absolute;
    font-weight: 500;
    left: -20px;
    color: #2264D1;
    transform: rotate(90deg);
}
.share__filter {
    padding-left: 10px;
}
.shr__fil {
    list-style-type: none;
    color: #19191d;
    font-weight: 400;
    font-size: 16px;
    line-height: 24px;
    margin-top: 8px;
    cursor: pointer;
    letter-spacing: 0.44px;
}
.shr__fil:hover, .shr__fil::after { font-weight: 500; }

.ele-title__more {
    position: relative;
    padding: 8px 30px 8px 8px;
    text-transform: capitalize;
    font-weight: 500;
    color: #2264D1;
    cursor: pointer;
    background: #ebf2ff;
    border-radius: 8px;
}
.show__more {
    color: #2264D1;
    text-align: center;
    font-size: 14px;
    font-weight: 700;
    line-height: normal;
    letter-spacing: 0.75px;
    text-transform: capitalize;
}
.ele-title__more::before {
    content: "\276F";
    font-size: 12px;
    position: absolute;
    right: 10px;
    color: #787885;
    transform: rotate(90deg);
}
.business__industrial {
    margin-top: 10px;
}
/*Accordion Block End*/



/*Start Section filters*/
.settings__filter-block {
    width: 304px;
    margin-top: 33px;
    margin-right: 75px;
}
.title__filter-all {
    width: 304px;
    background-color: #f7f7fa;
}
.characteristic__list {
    padding: 5px 5px 5px 5px;
    transition: display .6s ease;
}
.params {
  margin-bottom: 18px;
}
.check__input {
    width: 16px;
    height: 16px;
    cursor: pointer;
    background-color: #DADADA;
}
.settings__link {
    width: 39px;
    height: 24px;
    color: #19191d;
    align-items: center;
    font-size: 16px;
    margin-left: 10px;
    margin-bottom: 0;
}
.settings__link:hover {
    font-weight: 700;
}
#filter__btn-rec,
#filter__btn-year {
    display: inline-block;
    align-items: center;
    position: relative;
    width: 304px; height: 40px;
    margin: 0;
    bottom: 0;
    padding: 8px 8px;
    font-weight: 400;
    cursor: pointer;
    background-color: #FFFFFF;
    border-radius: 4px; box-shadow: 0 1px 2px rgba(58, 58, 68, 0.24), 0 2px 4px rgba(90, 91, 106, 0.24);
}
#filter__btn-rec::before,
#filter__btn-year::before {
    content: "\276f";
    position: absolute;
    right: 16px;
    color: #76A9FF;
    transition: all .6s ease;
    transform: rotate(90deg);
}
#check__filter-year:checked ~ #filter__btn-year,
#check__filter-all:checked ~ * #filter__btn-rec {
    font-weight: 500;
    background: #f7f7fa;
    border: 0;
}
#check__filter-year:checked ~ #filter__btn-year::before,
#check__filter-all:checked ~ * #filter__btn-rec::before {
    display: none;
}
#check__filter-year:checked ~ #filter__btn-year::after,
#check__filter-all:checked ~ * #filter__btn-rec::after {
    content: "\276f";
    position: absolute;
    right: 16px;
    color: #4a4b57;
    transition: all .6s ease;
    transform: rotate(270deg);
}

#check__filter-year, div.characteristic__list,
#check__filter-all, div.characteristic__list {
    display: none;
}
#check__filter-year:checked ~ .characteristic__list,
#check__filter-all:checked ~ .characteristic__list {
    width: auto;
    height: auto;
    display: block;
    border-radius: 4px;
    box-shadow: 0 1px 2px rgba(58, 58, 68, 0.24), 0 2px 4px rgba(90, 91, 106, 0.24);
}
/*End Section filters*/
/*Start section drop filters*/
.lots {
    max-width: 1290px;
    display: inline-block;
    background: #FFFFFF;
    box-shadow: 0 1px 2px rgba(58, 58, 68, 0.24), 0 2px 4px rgba(90, 91, 106, 0.24);
    border-radius: 8px;
}
.drop__filter {
    display: flex;
    justify-content: space-between;
    margin-top: 16px;
}
.drop__item {
    display: flex;
    justify-content: space-between;
    flex-direction: row;
}
.drop {
    position: relative;
    min-width: 126px;
    text-align: center;
}
.drop::after {
    content: "▼";
    position: absolute;
    font-size: 10px;
    padding: 15px;
    right: 0;
    bottom: 17px;
    color: #787885;
    pointer-events: none;
}
.drop__down {
    max-width: 155px;
    outline: none;
    padding: 12px 18px;
    border: 1px solid #b4b4bb;
    border-radius: 4px;
    color: #787885;
    font-size: 14px;
    margin: 16px 8px 16px 8px;
    text-transform: capitalize;
    cursor: pointer;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
}
.drop__down:active,
.drop__down:focus {
    color: #787885;
    background: white;
    border: 1px solid black;
    text-transform: capitalize;
    border-radius: 4px;
    outline: none;
}
.label__drop {
    display: none;
    position: absolute;
    color: white;
    text-transform: uppercase;
}
.drop__down:focus + .label__drop {
    display: inline-block;
    color: #787885;
    background: white;
    position: absolute;
    font-weight: 500;
    left: 30px;
    top: 10px;
    font-size: 10px;
}
.drop__text {
    text-transform: capitalize;
}
/*end section drop filters*/
/*start style button active*/
.view {
    display: flex;
    margin-right: 20px;
    align-items: center;
}
.view button:nth-child(3) {
    margin-right: 20px;
}
.act__btn {
    width: 83px;
    height: 36px;
    background-color: #ebf2ff;
    color: #5a5b6a;
    font-size: 14px;
    text-transform: capitalize;
    align-items: center;
    text-align: center;
    border: 0;
    border-radius: 8px;
    cursor: pointer;
    padding: 0;
}
.act__btn:hover,
.act__btn:focus,
.act__btn:active {
    color: #2264D1;
    background: #FFFFFF;
    font-weight: 700;
    box-shadow: 0 1px 2px rgba(58, 58, 68, 0.24), 0 2px 4px rgba(90, 91, 106, 0.24);
    border-radius: 8px;
}
.view__btn {
    display: flex;
    width: 68px; height: 36px;
    background: #ebf2ff;
    border-radius: 8px;
    cursor: pointer;
    align-items: center;
    text-align: center;
    border: 0;
    padding: 19px 28px;
    margin: 0;
}
.give {
    position: relative;
    width: 8px;
    height: 8px;
    top: -5px;
    left: -2px;
    background-color: #2264D1;
    box-shadow: 0 10px 0 0 #2264D1;
}
.give::after {
    content: '';
    position: absolute;
    box-shadow: 11px 14px 0 4px #2264D1;
}
.give::before {
    content: '';
    position: absolute;
    box-shadow: 11px 4px 0 4px #2264D1;
}
.view__btn:active,
.view__btn:focus {
    color: #2264D1;
    background: #FFFFFF;
    align-items: center;
    box-shadow: 0 1px 2px rgba(58, 58, 68, 0.24), 0 2px 4px rgba(90, 91, 106, 0.24);
    border-radius: 8px;
}
/*end style button active*/
/*start bread cramps block*/
.breadcrumbs {
    margin-top: 15px;
    display: flex;
    background: #FFFFFF;
    padding: 13px 14px;
}
.related {
    color: #19191d;
    font-size: 14px;
    font-weight: 400;
    line-height: 20px;
}
.breadcrumbs__list {
    display: flex;
}
.breadcrumbs__item {
    list-style-type: none;
    padding-right: 8px;
}
.breadcrumbs__item:last-child::after {
    display: none;
}
.breadcrumbs__link {
        padding: 6px 12px;
        border-radius: 100px;
        background: #EDEDF0;
        color: #4A4B57;
        text-transform: capitalize;
        font-size: 14px;
}
/*end bread cramps block*/
/*start cart block*/
.lots__settings {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 10px;
    max-width: 1200px;
    padding: 0 10px;
    margin: 0 auto;
}

.cart {
    display: inline-block;
    padding: 20px;
    max-width: 239px;
    max-height: 492px;
    border-radius: 40px;
    margin: 20px 10px 20px 10px;
    border: 10px;
}
.cart:hover {
    max-width: 239px;
    border: 10px;
    border-radius: 40px;
    box-shadow: 0 20px 35px rgba(0, 0, 0, 0.06);
    transition: box-shadow 0.2s ease-in-out,transform 0.2s ease-in-out;
    transform: translateY(-5px);
}
.text {
    margin: 0;
    max-width: 227px;
    height: 74px;
    font-weight: 400;
}
.price {
    font-size: 18px;
    font-weight: 600;
    color: #000000;
}
.tagline {
    margin: 0;
    max-width: 227px;
    height: 41px;
    font-weight: 400;
    color: #787885;
}
.active {
    max-width: 258px;
    margin-top: 10px;
    display: flex;
    align-items: center;
}
.total__star {
    color: #5E6366;
    margin-right: 13px;
    font-weight: 500;
    font-size: 14px;
    line-height: 22px;
}
/*end cart block*/
/*start rating star block*/
.rating {
    margin: 0 0 1em 0;
    padding: 0;
    border: none;
}
.rating__caption {
    margin-bottom: 0.5em;
    padding: 0;
}
.rating__group {
    position: relative;
    width: 80px;
    height: 16px;
    background-image: url("../images/off.svg");
    background-size: 16px 16px;
    background-repeat: repeat-x;
}
.rating__input {
    position: absolute;
    width: 1px;
    height: 1px;
    overflow: hidden;
}
.rating__input:focus ~ .rating__focus {
    position: absolute;
    top: -0.2em;
    right: -0.2em;
    bottom: -0.2em;
    left: -0.2em;
    z-index: -1;
    /*outline: solid 0.2em #4a90e2;;*/
}
.rating__star {
    position: absolute;
    top: 0;
    left: 0;
    margin: 0;
    height: 2em;
    font-size: inherit;
    background-repeat: repeat-x;
    background-size: 16px 16px;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}
.rating__input:checked + .rating__star,
.rating__star:hover {
    background-image: url("../images/on1.svg");
}
.rating__star:hover ~ .rating__star {
    background-image: url("../images/off.svg");
}
.rating__star:nth-of-type(1) {
    z-index: 5;
    width: 16px;
}
.rating__star:nth-of-type(2) {
    z-index: 4;
    width: 32px;
}
.rating__star:nth-of-type(3) {
    z-index: 3;
    width: 48px;
}
.rating__star:nth-of-type(4) {
    z-index: 2;
    width: 64px;
}
.rating__star:nth-of-type(5) {
    z-index: 1;
    width: 80px;
}
/*end rating star block*/
/*button heart start*/
.link__watch {
    color: #2264D1;
    font-size: 14px;
    font-weight: 500;
    line-height: 20px;
    text-align: right;
    letter-spacing: 0.252px;
}
.button__watch {
    width: 78px;
    height: 32px;
    flex-shrink: 0;
    padding: 4px 5px 4px 0;
    border-radius: 4px;
    border: 1px solid #9DC2FF;
    background: #FFFFFF;
    color: #2264D1;
    text-align: right;
    font-size: 14px;
    font-weight: 500;
    line-height: 20px;
    cursor: pointer;
    position: relative;
}
.button__watch::before {
    content: '\2661';
    position: absolute;
    font-size: 18px;
    font-weight: bold;
    top: 5px;
    left: 6px;
    flex-shrink: 0;
    color: #2979FF;
}
/*button heart start*/
.media__marketing {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 16px;
}
.media__case {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 351px;
    height: 156px;
    background: #EDEDF0;
    margin: 40px 0;
    border-radius: 8px;
}
.media__title {
    color: rgba(0, 0, 0, 0.87);
    text-align: center;
    font-size: 20px;
    font-weight: 700;
    line-height: 30px;
    letter-spacing: 0.15px;
}
.media__text {
    color: #5A5B6A;
    font-size: 14px;
    font-weight: 400;
    line-height: 23px;
    letter-spacing: 0.252px;
}
/*button heart end*/
/*footer section start*/

.footer__container {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0 auto;
    background: #F7F7FA;
}
.footer__clients {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    margin-left: auto;
    gap: 85px;
}
.customer__title{
    color: #B1B1C3;
    margin: 30px 0;
    font-size: 16px;
    font-weight: 700;
    line-height: 16px;
    letter-spacing: 0.44px;
    text-transform: uppercase;
}
.footer__customer {
    max-width: 700px;
    padding: 0 15px;
}
.footer__menu{
    display: flex;
}
.contacts-us {
    display: flex;
    margin-top: 30px;
}
.footer__link {
    margin-right: 40px;
    color: #1F1F1F;
    font-size: 16px;
    font-weight: 400;
    line-height: 16px;
    letter-spacing: 0.44px;
}
.contacts-ul__list {
    list-style-type: none;
    margin-right: 15px;
    margin-bottom: 30px;
}
.contacts-us__method {
    color: #1F1F1F;
    font-size: 16px;
    font-weight: 700;
    line-height: 16px;
    letter-spacing: 0.44px;
}
.track__your-order {
    width: 166px;
    padding: 9px 16px;
    border-radius: 4px;
    background: #EBF2FF;
    color:  #2264D1;
    text-align: center;
    font-size: 14px;
    font-weight: 700;
    border: none;
    letter-spacing: 0.75px;
    text-transform: capitalize;
    cursor: pointer;
}
.social__icon-facebook,
.social__icon-twitter {
    position: relative;
    width: 42px;
    height: 42px;
    flex-shrink: 0;
}
.social__icon-twitter{
    content: '';
    position: absolute;
    background-image: url("../images/Twitter.svg");
    background-size: cover;
}
.footer__business {
    max-width: 400px;
    padding: 0 15px;
    margin-left: 30px;
}
.time__work {
    color: #5A5B6A;
    font-size: 12px;
    font-weight: 400;
    line-height: 20px;
}
.about__us {
    background: #E6E6EA;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0 auto;

}
.container__fluid {
    display: flex;
    justify-content: center;
    align-items: center;
}
.contract {
    display: flex;
}
.letter {
    margin-left: 382px;
    margin-right: 12px;
}
.footer__input {
    background: #E6E6EA;
    border: none;
    box-shadow: -1px 0 0 0 #5A5B6A;
    height: 24px;
    margin-right: 34px;
    outline: none;
}
.footer__input::placeholder {
    color: #787885;
    font-weight: 400;
    padding: 3px 5px;
    font-size: 16px;
    line-height: 27px;
    font-family: "Open Sans", sans-serif;
}
.footer__submit {
    background: #E6E6EA;
    padding: 13px 27px;
    margin: 5px 10px 5px 0;
    border-radius: 4px;
    border: 1px solid #9DC2FF;
    color: #2264D1;
    text-align: center;
    font-size: 14px;
    font-weight: 700;
    line-height: 14px; /* 14px */
    letter-spacing: 0.105px;
    cursor: pointer;
}
.footer__contract {
    text-align: center;
    padding: 17px 120px;
    height: 50px;
    list-style-type: none;
    border-left: 1px solid #D1D1E1;
    box-shadow:  1px 0 0 0 #D1D1E1;

}
.footer__contracts-link {
    color: #1F1F1F;
    font-size: 16px;
    font-weight: 400;
    line-height: 16px;
    letter-spacing: 0.44px;
}
.footer__container-privacy {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-left: 299px;
}

.payment__nav,
.privacy__nav {
    display: flex;
    list-style-type: none;
}
.payment__nav {
    margin: 15px 270px;
}
.payment__link{
    padding-right: 24px;
}
.copy__write-text {
    margin-left: auto;
    color: #B1B1C3;
    font-size: 12px;
    font-weight: 400;
    line-height: 12px;
}
.privacy__link {
    padding-left: 16px;
    color: #5A5B6A;
    font-size: 12px;
    font-weight: 400;
    line-height: 12px;

}
